Loading...
Searching...
No Matches
pwdOptions Class Reference

`#include <XrdSecProtocolpwd.hh>`

Collaboration diagram for pwdOptions:

## Public Member Functions

| pwdOptions ()
virtual | ~pwdOptions ()
void | Print (XrdOucTrace *t)

## Public Attributes

short | alog
char * | alogfile
short | areg
char * | clist
char * | cpass
short | debug
char * | dir
char * | expcreds
int | expfmt
short | keepcreds
int | lifecreds
int | maxfailures
int | maxprompts
short | mode
char * | srvpuk
short | syspwd
char * | udir
short | upwd
short | vericlnt
short | verisrv

## Detailed Description

Definition at line 214 of file XrdSecProtocolpwd.hh.

## Constructor & Destructor Documentation

## pwdOptions()

pwdOptions::pwdOptions | ( |  | ) |

inline

Definition at line 237 of file XrdSecProtocolpwd.hh.

{ debug = -1; mode = 's'; areg = -1; upwd = -1; alog = -1;
verisrv = -1; vericlnt = -1;
syspwd = -1; lifecreds = -1; maxprompts = -1; maxfailures = -1;
clist = 0; dir = 0; udir = 0; cpass = 0;
alogfile = 0; srvpuk = 0; keepcreds = 0; expcreds = 0; expfmt = 0;}
pwdOptions::mode
short mode
Definition XrdSecProtocolpwd.hh:217
pwdOptions::maxprompts
int maxprompts
Definition XrdSecProtocolpwd.hh:225
pwdOptions::srvpuk
char * srvpuk
Definition XrdSecProtocolpwd.hh:232
pwdOptions::dir
char * dir
Definition XrdSecProtocolpwd.hh:228
pwdOptions::areg
short areg
Definition XrdSecProtocolpwd.hh:218
pwdOptions::keepcreds
short keepcreds
Definition XrdSecProtocolpwd.hh:233
pwdOptions::clist
char * clist
Definition XrdSecProtocolpwd.hh:227
pwdOptions::expcreds
char * expcreds
Definition XrdSecProtocolpwd.hh:234
pwdOptions::upwd
short upwd
Definition XrdSecProtocolpwd.hh:219
pwdOptions::vericlnt
short vericlnt
Definition XrdSecProtocolpwd.hh:222
pwdOptions::lifecreds
int lifecreds
Definition XrdSecProtocolpwd.hh:224
pwdOptions::debug
short debug
Definition XrdSecProtocolpwd.hh:216
pwdOptions::maxfailures
int maxfailures
Definition XrdSecProtocolpwd.hh:226
pwdOptions::verisrv
short verisrv
Definition XrdSecProtocolpwd.hh:221
pwdOptions::udir
char * udir
Definition XrdSecProtocolpwd.hh:229
pwdOptions::alog
short alog
Definition XrdSecProtocolpwd.hh:220
pwdOptions::expfmt
int expfmt
Definition XrdSecProtocolpwd.hh:235
pwdOptions::syspwd
short syspwd
Definition XrdSecProtocolpwd.hh:223
pwdOptions::alogfile
char * alogfile
Definition XrdSecProtocolpwd.hh:231
pwdOptions::cpass
char * cpass
Definition XrdSecProtocolpwd.hh:230

References alog, alogfile, areg, clist, cpass, debug, dir, expcreds, expfmt, keepcreds, lifecreds, maxfailures, maxprompts, mode, srvpuk, syspwd, udir, upwd, vericlnt, and verisrv.

## ~pwdOptions()

virtual pwdOptions::~pwdOptions | ( |  | ) |

inline virtual

Definition at line 242 of file XrdSecProtocolpwd.hh.

{ } // Cleanup inside XrdSecProtocolpwdInit

## Member Function Documentation

## Print()

void pwdOptions::Print | ( | XrdOucTrace * | t | ) |

Definition at line 1622 of file XrdSecProtocolpwd.cc.

{
// Dump summary of GSI init options
EPNAME("InitOpts");
// For clients print only if really required (for servers we notified it
// always once for all)
if ((mode == 'c') && debug <= 0) return;
POPTS(t, "*** ------------------------------------------------------------ ***");
POPTS(t, " Mode: "<< ((mode == 'c') ? "client" : "server"));
POPTS(t, " Debug: "<< debug);
if (mode == 'c') {
POPTS(t, " Check user's autologin info: " << (alog != 0 ? "yes" : "no"));
POPTS(t, " Verification level of server ownership on public key: " << verisrv);
POPTS(t, " Max number of empty prompts:" << maxprompts);
if (alogfile)
POPTS(t, " Autologin file:" << alogfile);
if (srvpuk)
POPTS(t, " File with known servers public keys:" << srvpuk);
POPTS(t, " Update auto-login info option:" << areg);
} else {
POPTS(t, " Check pwd file in user's home: " << (upwd != 0 ? "yes" : "no"));
POPTS(t, " Verification level of client ownership on public key: " << vericlnt);
POPTS(t, " Autoregistration option:" << areg);
POPTS(t, " Check system pwd file option: " << syspwd);
POPTS(t, " Credentials lifetime (seconds): " << lifecreds);
POPTS(t, " Max number of failures: " << maxfailures);
if (clist)
POPTS(t, " List of supported crypto modules: " << clist);
if (dir)
POPTS(t, " Directory with admin pwd files: " << dir);
if (udir)
POPTS(t, " User's sub-directory with pwd files: " << udir);
if (cpass)
POPTS(t, " User's crypt hash pwd file: " << cpass);
POPTS(t, " Keep client credentials in memory: " << (keepcreds != 0 ? "yes" : "no"));
if (expcreds) {
POPTS(t, " File for exported client credentials: " << expcreds);
POPTS(t, " Format for exported client credentials: " << expfmt);
} else {
POPTS(t, " Client credentials not exported to file");
}
}
POPTS(t, "*** ------------------------------------------------------------ ***");
}
EPNAME
#define EPNAME(x)
Definition XrdBwmTrace.hh:56
POPTS
#define POPTS(t, y)
Definition XrdSecProtocolgsi.cc:68

References alog, alogfile, areg, clist, cpass, debug, dir, EPNAME, expcreds, expfmt, keepcreds, lifecreds, maxfailures, maxprompts, mode, POPTS, srvpuk, syspwd, udir, upwd, vericlnt, and verisrv.

## Member Data Documentation

## alog

short pwdOptions::alog

Definition at line 220 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## alogfile

char* pwdOptions::alogfile

Definition at line 231 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## areg

short pwdOptions::areg

Definition at line 218 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## clist

char* pwdOptions::clist

Definition at line 227 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## cpass

char* pwdOptions::cpass

Definition at line 230 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## debug

short pwdOptions::debug

Definition at line 216 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## dir

char* pwdOptions::dir

Definition at line 228 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## expcreds

char* pwdOptions::expcreds

Definition at line 234 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## expfmt

int pwdOptions::expfmt

Definition at line 235 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## keepcreds

short pwdOptions::keepcreds

Definition at line 233 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## lifecreds

int pwdOptions::lifecreds

Definition at line 224 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## maxfailures

int pwdOptions::maxfailures

Definition at line 226 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## maxprompts

int pwdOptions::maxprompts

Definition at line 225 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## mode

short pwdOptions::mode

Definition at line 217 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## srvpuk

char* pwdOptions::srvpuk

Definition at line 232 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## syspwd

short pwdOptions::syspwd

Definition at line 223 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## udir

char* pwdOptions::udir

Definition at line 229 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## upwd

short pwdOptions::upwd

Definition at line 219 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## vericlnt

short pwdOptions::vericlnt

Definition at line 222 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

## verisrv

short pwdOptions::verisrv

Definition at line 221 of file XrdSecProtocolpwd.hh.

Referenced by pwdOptions(), XrdSecProtocolpwd::Init(), and Print().

The documentation for this class was generated from the following files:

- XrdSecProtocolpwd.hh
- XrdSecProtocolpwd.cc